/**
 * Properties for the `del` method.
 */
export declare type DelProps = {
    /**
     * The path of the API endpoint to target, anything after the /1 needs to be specified.
     */
    path: string;
    /**
     * Query parameters to be applied to the current query.
     */
    parameters?: Record<string, any>;
};
/**
 * Properties for the `get` method.
 */
export declare type GetProps = {
    /**
     * The path of the API endpoint to target, anything after the /1 needs to be specified.
     */
    path: string;
    /**
     * Query parameters to be applied to the current query.
     */
    parameters?: Record<string, any>;
};
/**
 * Properties for the `post` method.
 */
export declare type PostProps = {
    /**
     * The path of the API endpoint to target, anything after the /1 needs to be specified.
     */
    path: string;
    /**
     * Query parameters to be applied to the current query.
     */
    parameters?: Record<string, any>;
    /**
     * The parameters to send with the custom request.
     */
    body?: Record<string, any>;
};
/**
 * Properties for the `put` method.
 */
export declare type PutProps = {
    /**
     * The path of the API endpoint to target, anything after the /1 needs to be specified.
     */
    path: string;
    /**
     * Query parameters to be applied to the current query.
     */
    parameters?: Record<string, any>;
    /**
     * The parameters to send with the custom request.
     */
    body?: Record<string, any>;
};
//# sourceMappingURL=clientMethodProps.d.ts.map